<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@4E6E=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pw@4E14=0506</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@8399</action>
      <action>temp1 =maincpu.mb@8BB6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@8399=C9</action>
      <action>maincpu.mb@8BB6=C9</action> <!-- 1st = Red Thief, 2nd = Big Red Thief -->
    </script>
    <script state="off">
      <action>maincpu.mb@8399=temp0 </action>
      <action>maincpu.mb@8BB6=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Transparent Bag"> <comment>A thief won't be able to steal a bag</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@3D4C</action>
    </script>
    <script state="run">
      <action>maincpu.mb@3D4C=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@3D4C=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always have faster character">
    <script state="run">
      <action>maincpu.pb@4DE4=04</action>
    </script>
  </cheat>

  <cheat desc="1 enemy to finish round Now!">
    <script state="on">
      <action>maincpu.pb@4E1C=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
